Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 452510

Summary: Combo box disappears if fade desktop effect is enabled
Product: [Fedora] Fedora Reporter: Piotr Piotrowski <ppp5>
Component: kdebase-workspaceAssignee: Ngo Than <than>
Status: CLOSED UPSTREAM QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 9CC: fedora, kevin, ltinkl, rdieter, tuxbrewr
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-06-29 18:32:03 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Piotr Piotrowski 2008-06-23 14:08:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/4.0; Linux) KHTML/4.0.5 (like Gecko) Fedora/4.0.5-2.fc9

Description of problem:
If the fade desktop effect is enabled the drop-down of a combo box appears for a
moment and disappears. The shadow of the list is visible and when clicked on the
shadow the content of the widget changes, therefore the widged is there, but is
invisible.

When I disabled the fade option the drop-down list behaved as it should.

Version-Release number of selected component (if applicable):
4.0.5-3.fc9

How reproducible:
Always


Steps to Reproduce:
1. Enable the fade desktop effect
2. Click on some combo box in some KDE4 application (eg. zoom in Okular or
address bar in Konqueror)

Actual Results:
The expected drop-down list shows for a moment and then disappears leaving only
a shadow (I have the shadow effect on) under the invisible widget.

Expected Results:
The drop down-list should be visible.

Additional info:

Comment 1 Steven M. Parrish 2008-06-27 23:42:18 UTC
Checked upstream and could not find a matching bug report.  Please report
upstream at http://bugs.kde.org and add upstream info to this report.  We will
monitor upstream for resolution.

Comment 2 Piotr Piotrowski 2008-06-29 18:15:41 UTC
I have added a comment to an existing kde bug 162378
(http://bugs.kde.org/show_bug.cgi?id=162378).

Comment 3 Rex Dieter 2008-06-29 18:32:03 UTC
Thanks, we'll continue to track the issue there.